<html>
<head>
<title>OGRE: OgreStringConverter.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreStringConverter.h</h1><a href="OgreStringConverter_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __StringConverter_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __StringConverter_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreMath_8h.html">OgreMath.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgreString_8h.html">OgreString.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgreStringVector_8h.html">OgreStringVector.h</a>"</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keyword">namespace </span>Ogre {
<a name="l00039"></a>00039 
<a name="l00057"></a><a class="code" href="classOgre_1_1StringConverter.html">00057</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a>
<a name="l00058"></a>00058     {
<a name="l00059"></a>00059     <span class="keyword">public</span>:
<a name="l00060"></a>00060 
<a name="l00062"></a>00062         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> val, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> precision = 6, 
<a name="l00063"></a>00063             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00064"></a>00064             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00066"></a><a class="code" href="classOgre_1_1StringConverter.html#0ad310156901192d8b4e31f90ce420a0">00066</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> val, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> precision = 6, 
<a name="l00067"></a>00067             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00068"></a>00068             std::ios::fmtflags flags = std::ios::fmtflags(0) )
<a name="l00069"></a>00069         {
<a name="l00070"></a>00070             <span class="keywordflow">return</span> toString(val.<a class="code" href="classOgre_1_1Radian.html#73959a5a953d4a695388a476387b8e15">valueAngleUnits</a>(), precision, width, fill, flags);
<a name="l00071"></a>00071         }
<a name="l00073"></a><a class="code" href="classOgre_1_1StringConverter.html#1c4df33a22e7da4debdc1de0ee250773">00073</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<a class="code" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> val, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> precision = 6, 
<a name="l00074"></a>00074             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00075"></a>00075             std::ios::fmtflags flags = std::ios::fmtflags(0) )
<a name="l00076"></a>00076         {
<a name="l00077"></a>00077             <span class="keywordflow">return</span> toString(val.<a class="code" href="classOgre_1_1Degree.html#03857af7d94a567b27545a1f28a432e6">valueAngleUnits</a>(), precision, width, fill, flags);
<a name="l00078"></a>00078         }
<a name="l00080"></a>00080         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">int</span> val, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, 
<a name="l00081"></a>00081             <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00082"></a>00082             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00083"></a>00083 <span class="preprocessor">#if OGRE_ARCH_TYPE == OGRE_ARCHITECTURE_64 || OGRE_PLATFORM == OGRE_PLATFORM_APPLE</span>
<a name="l00084"></a>00084 <span class="preprocessor"></span>
<a name="l00085"></a>00085         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> val, 
<a name="l00086"></a>00086             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00087"></a>00087             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00089"></a>00089         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">size_t</span> val, 
<a name="l00090"></a>00090             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00091"></a>00091             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00092"></a>00092 <span class="preprocessor">        #if OGRE_COMPILER == OGRE_COMPILER_MSVC</span>
<a name="l00093"></a>00093 <span class="preprocessor"></span>
<a name="l00094"></a>00094                 <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> val, 
<a name="l00095"></a>00095                     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00096"></a>00096                     std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00097"></a>00097 
<a name="l00098"></a>00098 <span class="preprocessor">        #endif</span>
<a name="l00099"></a>00099 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00100"></a>00100 <span class="preprocessor"></span>
<a name="l00101"></a>00101         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">size_t</span> val, 
<a name="l00102"></a>00102             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00103"></a>00103             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00105"></a>00105         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> val, 
<a name="l00106"></a>00106             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00107"></a>00107             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00108"></a>00108 <span class="preprocessor">#endif</span>
<a name="l00109"></a>00109 <span class="preprocessor"></span>
<a name="l00110"></a>00110         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">long</span> val, 
<a name="l00111"></a>00111             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">' '</span>, 
<a name="l00112"></a>00112             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00116"></a>00116         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">bool</span> val, <span class="keywordtype">bool</span> yesNo = <span class="keyword">false</span>);
<a name="l00121"></a>00121         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a>&amp; val);
<a name="l00126"></a>00126         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; val);
<a name="l00131"></a>00131         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogenous vector.">Vector4</a>&amp; val);
<a name="l00136"></a>00136         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a>&amp; val);
<a name="l00142"></a>00142         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a>&amp; val);
<a name="l00147"></a>00147         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a>&amp; val);
<a name="l00152"></a>00152         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; val);
<a name="l00158"></a>00158         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&amp; val);
<a name="l00159"></a>00159 
<a name="l00164"></a>00164         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> parseReal(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00169"></a><a class="code" href="classOgre_1_1StringConverter.html#1071507cdcfe259ebe38076cffa9eb03">00169</a>         <span class="keyword">static</span> <span class="keyword">inline</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> parseAngle(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val) {
<a name="l00170"></a>00170             <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined...">Angle</a>(parseReal(val));
<a name="l00171"></a>00171         }
<a name="l00176"></a>00176         <span class="keyword">static</span> <span class="keywordtype">int</span> parseInt(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00181"></a>00181         <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> parseUnsignedInt(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00186"></a>00186         <span class="keyword">static</span> <span class="keywordtype">long</span> parseLong(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00191"></a>00191         <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> parseUnsignedLong(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00197"></a>00197         <span class="keyword">static</span> <span class="keywordtype">bool</span> parseBool(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00203"></a>00203         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> parseVector3(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00209"></a>00209         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> parseMatrix3(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00215"></a>00215         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> parseMatrix4(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00222"></a>00222         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> parseQuaternion(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00228"></a>00228         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> parseColourValue(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00229"></a>00229 
<a name="l00235"></a>00235         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> parseStringVector(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00237"></a>00237         <span class="keyword">static</span> <span class="keywordtype">bool</span> isNumber(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00238"></a>00238     };
<a name="l00239"></a>00239 
<a name="l00240"></a>00240 
<a name="l00241"></a>00241 }
<a name="l00242"></a>00242 
<a name="l00243"></a>00243 
<a name="l00244"></a>00244 
<a name="l00245"></a>00245 <span class="preprocessor">#endif</span>
<a name="l00246"></a>00246 <span class="preprocessor"></span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
